tzselect(8)

NOMBRE
tzselect - selecciona un huso horario

SINOPSIS
tzselect [ -c coord ] [ -n límite ] [ --help ] [ --version ]

DESCRIPCIÓN
El programa tzselect pide al usuario información sobre la localización actual y muestra en la salida estándar la descripción de huso horario resultante. La salida es adecuada como valor para la variable de entorno TZ.

Toda la interacción con el usuario se realiza mediante la entrada estándar y la salida de error estándar.

OPCIONES

-c coord
    En lugar de solicitar el continente, luego el país y luego la ciudad, solicita la selección de las zonas horarias cuyas ciudades más grandes estén más cerca de la ubicación con coordenadas geográficas coord. Utilice la notación ISO 6709 para coord, es decir, una latitud seguida inmediatamente de una longitud. La latitud y la longitud deben ser números enteros con signo seguidos de un punto decimal opcional y una fracción: los números positivos representan el norte y el este, los negativos el sur y el oeste. Las latitudes con dos y las longitudes con tres dígitos enteros se consideran grados. Las latitudes con cuatro o seis dígitos enteros y las longitudes con cinco o siete dígitos enteros se tratan como DDMM, DDDMM, DDMMSS, o DDDMMSS, que representan DD o DDD grados, MM minutos y cero o SS segundos. Las fracciones finales representan fracciones de minutos o (si SS está presente) segundos. La coma decimal es la de la configuración regional actual. Por ejemplo, en la configuración regional C (predeterminada), -c +40.689-074.045 define 40.689gradosN, 74.045gradosW, -c +4041.4-07402.7 define 40grados41.4minutosN, 74grados2.7minutosW, y -c +404121-0740240 define 40grados41minutos21segundosN, 74grados2minutos40segundosW. Si coord no es una de las formas documentadas, el comportamiento resultante no se define.

-n límite
    Cuando se utiliza -c, se muestran las ubicaciones límite más cercanas (predeterminado: 10).

--help
    Informa de la versión y finaliza.

--version
    Informa de la versión y finaliza.

VARIABLES DE ENTORNO

AWK Nombre de un programa awk conforme a POSIX (por defecto: awk).

TZDIR
    El nombre de un directorio que contiene los ficheros de datos de los husos horarios (por defecto: /usr/share/zoneinfo).

ARCHIVOS

TZDIR/iso3166.tab
    Tabla con los códigos de país de 2 letras y los nombres de los países según el estándar ISO 3166.

TZDIR/zone1970.tab
    Tabla con los códigos de los países, latitudes, longitudes, husos horarios y comentarios descriptivos.

TZDIR/TZ
    Archivo de datos para el huso horario TZ.

ESTADO DE SALIDA
El estado de salida es cero si se obtuvo con éxito del usuario un huso horario y un valor no cero en caso contrario.

VÉASE TAMBIÉN
newctime(3), tzfile(5), zdump(8), zic(8)

NOTAS
Las aplicaciones no deberían suponer que la información proporcionada por tzselect coindida con sus preferencias políticas.

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Juan Piernas <piernas@ditec.um.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.